# Uses of Interface
org.jboss.logmanager.config.ValueExpression

Packages that use ValueExpression
Package
Description
org.jboss.logmanager.config

## Uses of ValueExpression in org.jboss.logmanager.config

Fields in org.jboss.logmanager.config declared as ValueExpression
Modifier and Type
Field
Description
`static final ValueExpression<Boolean>`
ValueExpression.`NULL_BOOLEAN_EXPRESSION`
`static final ValueExpression<String>`
ValueExpression.`NULL_STRING_EXPRESSION`
Methods in org.jboss.logmanager.config that return ValueExpression
Modifier and Type
Method
Description
`ValueExpression<String>`
HandlerConfiguration.`getEncodingValueExpression()`
Returns the encoding which may be an expression.
`ValueExpression<String>`
HandlerConfiguration.`getErrorManagerNameValueExpression()`
Returns the error manager name which may be an expression.
`ValueExpression<String>`
HandlerConfiguration.`getFilterValueExpression()`
Returns a filter that may be an expression.
`ValueExpression<String>`
LoggerConfiguration.`getFilterValueExpression()`
Returns a filter that may be an expression.
`ValueExpression<String>`
HandlerConfiguration.`getFormatterNameValueExpression()`
Gets the formatter name which may be an expression.
`ValueExpression<String>`
HandlerConfiguration.`getLevelValueExpression()`
Returns the level that may be an expression.
`ValueExpression<String>`
LoggerConfiguration.`getLevelValueExpression()`
Returns the level that may be an expression.
`ValueExpression<String>`
PropertyConfigurable.`getPropertyValueExpression(String propertyName)`
Get the property value.
`ValueExpression<Boolean>`
LoggerConfiguration.`getUseParentFiltersValueExpression()`
Returns the value that may be an expression.
`ValueExpression<Boolean>`
LoggerConfiguration.`getUseParentHandlersValueExpression()`
Returns the value that may be an expression.
`ValueExpression<T>`
ValueExpression.Resolver.`resolve(String expression)`
Resolves the value of an expression.